//
//  ViewController.m
//  button
//
//  Created by 迟国强 on 2016/11/28.
//  Copyright © 2016年 迟国强. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
@property (nonatomic, strong) UIButton * btn;
@property (nonatomic, strong) NSMutableArray *array;
@end

@implementation ViewController
- (NSMutableArray *)array{
    if (!_array) {
        _array = [NSMutableArray arrayWithCapacity:0];
    }
    return _array;
}
- (void)viewDidLoad {
    [super viewDidLoad];
    for (int i = 0; i < 3; i++) {
        for (int j = 0; j < 3; j++) {
            UIButton * btn = [UIButton buttonWithType:UIButtonTypeCustom];
            btn.backgroundColor = [UIColor groupTableViewBackgroundColor];
            [btn setTitle:[NSString stringWithFormat:@"%d", i + (3 * j) + 1] forState:UIControlStateNormal];
            [btn setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
            btn.tag = (i + (3 * j) + 1) + 100;
            [btn addTarget:self action:@selector(clickedBtnWith:) forControlEvents:UIControlEventTouchUpInside];
            btn.frame = CGRectMake(20 + i * 120, 20 + j * 70, 100, 50);
            [self.view addSubview:btn];
            _btn = btn;
        }
    }
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)clickedBtnWith:(UIButton *)btn{
    
    //多选
        if (!btn.selected) {
            [btn setBackgroundColor:[UIColor brownColor]];
            [self.array addObject:[NSNumber numberWithInteger:btn.tag - 100]];
        }else{
            [btn setBackgroundColor:[UIColor groupTableViewBackgroundColor]];
            if ([self.array containsObject:[NSNumber numberWithInteger:btn.tag - 100]]) {
                [self.array removeObject:[NSNumber numberWithInteger:btn.tag - 100]];
            }
        }
        btn.selected = !btn.selected;
    NSLog(@"%@", _array.description);
    
    
    //单选
//    if(_btn== btn) {
//        //上次点击过的按钮，不做处理
//    } else{
//        //本次点击的按钮设为红色
//        [btn setTitleColor:[UIColor redColor] forState:UIControlStateNormal];
//        //将上次点击过的按钮设为黑色
//        [_btn setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
//    }
//    _btn = btn;
    
    NSLog(@"点击了第%ld 个按钮", (long)btn.tag - 100);
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
